package com.lightinit.hsdataplatformresdir.service.admin;

import com.lightinit.hsdataplatformresdir.entity.Menu;
import com.lightinit.hsdataplatformresdir.entity.ModuleAction;
import com.lightinit.hsdataplatformresdir.model.ResultState;
import com.lightinit.hsdataplatformresdir.model.admin.ModuleActionListItemModel;
import com.lightinit.hsdataplatformresdir.model.admin.ModuleDataModel;
import com.lightinit.hsdataplatformresdir.model.admin.TreeModel;

import java.util.List;

/**
 * @author WangYao
 * @date 2018/6/30 14:56
 * @description 模块功能管理接口
 */
public interface IModuleMgrService {

    List<ModuleActionListItemModel> getModuleActionList();
    List<TreeModel> queryTreeData();
    List<Menu> getAllMenuList();
    List<ModuleAction> getAllActionList();
    ResultState addOrEdit(ModuleDataModel inputModel);
    ResultState<Menu> addOrEditModule(ModuleDataModel inputModel);
    ResultState<ModuleAction> addOrEditAction(ModuleDataModel inputModel);
    ResultState<Long> deleteModule(long id);
    ResultState<Long> deleteAction(long id);
}
